<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/Auxiliary/getFSestimates.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li><li class="navelem"><a class="el" href="../../dir_d544197a650feee977d1b0e201b59710.html">Auxiliary</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">getFSestimates.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d7/dc5/get_f_sestimates_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">function</span> [covariate_flags, singlecell_estimates]=<a class="code" href="../../d7/dc5/get_f_sestimates_8m.html#a87ab857f9ec91580e07934f950f00e82">getFSestimates</a>(SSoptions,inpFiles)</div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="../../d7/dc5/get_f_sestimates_8m.html#a87ab857f9ec91580e07934f950f00e82">    9</a></span>&#160;if SSoptions.jointExps==1</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    </div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;    allsingle_cell_estimates=[];</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;    nexps=length(inpFiles);</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    for inp_ids=1:nexps</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        fname=inpFiles{inp_ids};          </div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        load(sprintf(<span class="stringliteral">&#39;%s&#39;</span>,fname))</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        allsingle_cell_estimates=[allsingle_cell_estimates,singlecell_estimates];</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        </div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    end</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    singlecell_estimates=allsingle_cell_estimates;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    % an ID that indicates the experiment</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keywordflow">if</span> isempty(SSoptions.covariate_flag)</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    disp(&#39;Covariate flags for cells not give, assuming all cells in each data set have the same population&#39;)</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    covariate_flags=ones(1,length(singlecell_estimates));</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    else</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    covariate_flags=SSoptions.covariate_flag; %[covariate_flags,repmat(inp_ids-1,1,length(singlecell_estimates))];</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    end</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;else</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    fname=inpFiles;          </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    load(sprintf(&#39;%s&#39;,fname))</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    if isempty(SSoptions.covariate_flag)</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    disp(&#39;Covariate flags for cells not give, assuming all cells have the same population&#39;)</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    covariate_flags=ones(1,length(singlecell_estimates));</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    else</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;     covariate_flags=SSoptions.covariate_flag;    </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    end</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;end</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aget_f_sestimates_8m_html_a87ab857f9ec91580e07934f950f00e82"><div class="ttname"><a href="../../d7/dc5/get_f_sestimates_8m.html#a87ab857f9ec91580e07934f950f00e82">getFSestimates</a></div><div class="ttdeci">function getFSestimates(in SSoptions, in inpFiles)</div><div class="ttdoc">getFSestimates obtains the results of the single cell estimates from all experiments</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:29 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
